import { EventEmitter } from '../../stencil-public-runtime';
export declare class EclRatingStar {
    theme: string;
    styleClass: string;
    itemId: string;
    value: string;
    name: string;
    checked: boolean;
    required: boolean;
    disabled: boolean;
    icon: string;
    iconFilled: string;
    label: string;
    hasChanged: boolean;
    isFocused: boolean;
    inputFocus: EventEmitter<FocusEvent>;
    inputBlur: EventEmitter<FocusEvent>;
    inputChange: EventEmitter;
    handleFocus(event: any): void;
    handleChange(event: any): void;
    handleBlur(event: any): void;
    componentWillLoad(): void;
    render(): any;
}
